### Virtual Method

# Gcr Prompt prompt_password_finish

#### Declaration [src]

    const gchar*
    prompt_password_finish (
      GcrPrompt* prompt,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to prompt for a password.

A password will be returned if the user enters a password successfully. The returned password is valid until the next time a method is called to display another prompt.

`NULL` will be returned if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| The password owned by the prompt, or `NULL`.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.